# Package org.eclipse.ecf.provider.comm

Interface Summary
IAsynchConnection: Asynchronous connection
IAsynchEventHandler: Callback interface for handling asynchronous connection events
IConnection: Connection interface to represent transport-level connections
IConnectionListener: Connection listener
IConnectRequestHandler: Connection request handler
ISynchAsynchConnection: A connection instance that has both asynchronous and synchronous messaging capabilities
ISynchAsynchEventHandler: Event handler callback interface for connections that have both asynchronous and synchronous capabilities
ISynchConnection: Synchronous connection
ISynchEventHandler

Class Summary
AsynchEvent: Asynchronous connection event class.
ConnectionEvent: Connection event super class.
DisconnectEvent: Disconnection event
SynchEvent: Synchronous connection event.

Exception Summary
ConnectionCreateException: Exception class for connection creation exceptions